Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util
Interface Enumeration<E>

All Known Subinterfaces:
  NamingEnumeration<T>

All Known Implementing Classes:
  StringTokenizer

    public interface Enumeration<E>

An object that implements the Enumeration interface generates a series of elements, one at a time. Successive calls to the `nextElement` method return successive elements of the series.

For example, to print all elements of a vector v:

>          for (Enumeration e = v.elements() ; e.hasMoreElements() ;) {
>              System.out.println(e.nextElement());

>          }

Methods are provided to enumerate through the elements of a vector, the keys of a hashtable, and the values in a hashtable. Enumerations are also used to specify the input streams to a `SequenceInputStream`.

NOTE: The functionality of this interface is duplicated by the Iterator interface. In addition, Iterator adds an optional remove operation, and has shorter method names. New implementations should consider using Iterator in preference to Enumeration.

Since:
  JDK1.0
See Also:
  `Iterator`, `SequenceInputStream`, `nextElement()`, `Hashtable`, `Hashtable.elements()`, `Hashtable.keys()`, `Vector`, `Vector.elements()`

Method Summary
`boolean` | `hasMoreElements()` Tests if this enumeration contains more elements.
`E` | `nextElement()` Returns the next element of this enumeration if this enumeration object has at least one more element to provide.

Method Detail

### hasMoreElements

    boolean hasMoreElements()

  Tests if this enumeration contains more elements.

  Returns:
    `true` if and only if this enumeration object contains at least one more element to provide; `false` otherwise.

### nextElement

    E nextElement()

  Returns the next element of this enumeration if this enumeration object has at least one more element to provide.

  Returns:
    the next element of this enumeration.
  Throws:
    `NoSuchElementException` - if no more elements exist.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.